slepc-3.21.1 2024-04-26
Report Typos and Errors

# DSRestoreMat

Restores the matrix after DSGetMat() was called.

### Synopsis

    #include "slepcds.h"
    PetscErrorCode DSRestoreMat(DS ds,DSMatType m,Mat *A)

Not Collective

### Input Parameters

| ds | - the direct solver context
| m | - the requested matrix
| A | - the fetched Mat object

### Note

A call to this function must match a previous call of DSGetMat().

### See Also

DSGetMat(), DSRestoreArray(), DSRestoreArrayReal()

### Level

advanced

### Location

src/sys/classes/ds/interface/dsops.c
Index of all DS routines
Table of Contents for all manual pages
Index of all manual pages